﻿local RACE_TEX_COORDS = {
    ["Human_2"]     = {0, 0.125, 0, 0.25},
    ["Dwarf_2"]     = {0.125, 0.25, 0, 0.25},
    ["Gnome_2"]     = {0.25, 0.375, 0, 0.25},
    ["Night Elf_2"]  = {0.375, 0.5, 0, 0.25},
    ["Draenei_2"]   = {0.5, 0.625, 0, 0.25},
    ["Tauren_2"]    = {0, 0.125, 0.25, 0.5},
    ["Undead_2"]   = {0.125, 0.25, 0.25, 0.5},
    ["Troll_2"]     = {0.25, 0.375, 0.25, 0.5},
    ["Orc_2"]       = {0.375, 0.5, 0.25, 0.5},
    ["Blood Elf_2"]  = {0.5, 0.625, 0.25, 0.5},
    ["Human_3"]     = {0, 0.125, 0.5, 0.75},
    ["Dwarf_3"]     = {0.125, 0.25, 0.5, 0.75},
    ["Gnome_3"]     = {0.25, 0.375, 0.5, 0.75},
    ["Night Elf_3"]  = {0.375, 0.5, 0.5, 0.75},
    ["Draenei_3"]   = {0.5, 0.625, 0.5, 0.75},
    ["Tauren_3"]    = {0, 0.125, 0.75, 1},
    ["Undead_3"]   = {0.125, 0.25, 0.75, 1},
    ["Troll_3"]     = {0.25, 0.375, 0.75, 1},
    ["Orc_3"]       = {0.375, 0.5, 0.75, 1},
    ["Blood Elf_3"]  = {0.5, 0.625, 0.75, 1},
    ["Worgen_2"]    = {0.625, 0.75, 0, 0.25},
    ["Goblin_2"]    = {0.625, 0.75, 0.25, 0.5},
    ["Worgen_3"]    = {0.625, 0.75, 0.5, 0.75},
    ["Goblin_3"]    = {0.625, 0.75, 0.75, 1},
}
local RACE_TEX_PATH = "Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Races"

function Liquid_Wealth:BuildIcons_NEW(Toon,Scale)
  local Gender = {"N/A","Male","Female" }
  local texString = ""
  if scale == nil then scale = 15 end --If scale was not passed though set a default
  local sex, race, class = strsplit(":", Toon);

  local race_sex = RACE_TEX_COORDS[race .. "_" .. sex]
  print(race_sex[1])
  print(race_sex[2])
  print(race_sex[3])
  print(race_sex[4])
  --texString = "|T" ..RACE_TEX_PATH .. ":" .. 200 .. ":200:0:0:0:0:0:"..race_sex[1]..":"..race_sex[2]..":"..race_sex[3]..":"..race_sex[4].."|t"
  texString = "|TInterface\Glues\CharacterCreate\UI-CharacterCreate-Races:40:40:0:0:512:256:|t"
          --.. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  print(texString)
  return texString
end


function Liquid_Wealth:BuildIcons(Char, scale) --Builds the Players Icon Texture file path
  local Gender = { "N/A", "Male", "Female" };
  local texLocationClass = "Interface\\Addons\\Liquid_Wealth\\Images\\Class\\";
  local texLocationRaces = "Interface\\Addons\\Liquid_Wealth\\Images\\Race\\";
  local texExt = ".blp"
  local texLocationRace = "Interface\\Icons\\";
  local texString = "";
  local sex, race, class = strsplit(":", Char);
  if scale == nil then scale = 15 end
  --texString="|T"..texLocationRace..race.."-"..Gender[tonumber(sex)]..".tga:"..scale.."|t".."|T"..texLocationClass..class.."_icon.tga:"..scale.."|t";
  if (race == "Blood Elf") then
    texString = "|T" .. texLocationRace .. "Achievement_Character_Bloodelf_" .. Gender[tonumber(sex)] .. ":" .. scale .. "|t" .. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  elseif (race == "Night Elf") then
    texString = "|T" .. texLocationRace .. "Achievement_Character_Nightelf_" .. Gender[tonumber(sex)] .. ":" .. scale .. "|t" .. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  elseif (race == "Goblin") then -- There is no Achievement for this race so its not in the Achievement frame
    texString = "|T" .. texLocationRaces .. race .. "-" .. Gender[tonumber(sex)] .. texExt .. ":" .. scale .. "|t" .. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  elseif (race == "Worgan") then -- There is no Achievement for this race so its not in the Achievement frame
    texString = "|T" .. texLocationRaces .. race .. "-" .. Gender[tonumber(sex)] .. texExt .. ":" .. scale .. "|t" .. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  else
    texString = "|T" .. texLocationRace .. "Achievement_Character_" .. race .. "_" .. Gender[tonumber(sex)] .. ":" .. scale .. "|t" .. "|T" .. texLocationClass .. class .. texExt .. ":" .. scale .. "|t";
  end
  return texString;
end

function Liquid_Wealth:BuildBagIcons(itemID, ItemTexturePath, scale)
  if scale == nil then scale = 15 end
  if (itemID == "Bank") or (itemID == "Backpack") then --Show BagIcon for bank or backup
    return "|TInterface\\Icons\\INV_Misc_Bag_08:" .. scale .. "|t";
  elseif not (ItemTexturePath == nil) then
    return "|T" .. ItemTexturePath .. ":" .. scale .. "|t";
    --elseif (itemID=="NONE") or (itemID==nil) or (itemID=="") or (itemID==0) then
  else
    return "|TInterface\\GossipFrame\\ActiveQuestIcon:" .. scale .. "|t"; --Show QuestIcon if no bag is dected
  end
end

function Liquid_Wealth:ClassColor(Char)
  local fontcolor = "FFFFFF"
  local _, _, class = strsplit(":", Char)
  if (class == "Death Knight") then
    fontcolor = "C41F3B"
  elseif (class == "Druid") then
    fontcolor = "FF7D0A"
  elseif (class == "Hunter") then
    fontcolor = "ABD473"
  elseif (class == "Mage") then
    fontcolor = "69CCF0"
  elseif (class == "Paladin") then
    fontcolor = "F58CBA"
  elseif (class == "Priest") then
    fontcolor = "FFFFFF"
  elseif (class == "Rogue") then
    fontcolor = "FFF569"
  elseif (class == "Shaman") then
    fontcolor = "0070DE"
  elseif (class == "Warlock") then
    fontcolor = "9482C9"
  elseif (class == "Warrior") then
    fontcolor = "C79C6E"
  end
  return "FF" .. fontcolor
end
